Subject: Re: iSCSI: key negotiation - Unrecognized value? (fwd)

From: "Robert D. Russell" <[email-masked]>
Date: Thu, 21 Feb 2002 17:18:27 -0500 (EST)

Julian:

I sent this message yesterday, but did not see it on the
reflector, so I am sending it again -- my apologies to  you
and others if you receive it twice.

Bob Russell

----------------------------

I agree that this is a good behavior to support, but draft 10
does not make this clear.  The only reference to the use of "Reject"
in the draft is in section 2.2.4 Text Mode Negotiation and is
under that part which is discussing "literal list negotiation".
There is no mention of the use of "Reject" in the following parts
which discuss "numerical and single literal negotiations" and
"Boolean negotiations".

I would suggest eliminating the current sentence in draft 10
which  introduces "Reject" under the "literal list negotiation"
and instead add a modified version of the reply you wrote to
Marjorie at the end of section 2.2.4, where items that apply to
all types of negotiation are discussed.

Thanks,

Bob Russell
InterOperability Lab
University of New Hampshire
[email-masked]
603-862-3774

On Wed, 20 Feb 2002, Julian Satran wrote:

> If it is not a list element the it is Reject. If it is a list element and
> you recognize others then ignore the "bad" value else "Reject".
>
> Regards,
> Julo
>
>
>
>
> "KRUEGER,MARJORIE (HP-Roseville,ex1)" <[email-masked]>
> Sent by: [email-masked]
> 20-02-02 03:22
>
>
>         To:     "Ips Reflector (E-mail)" <[email-masked]>
>         cc:
>         Subject:        iSCSI: key negotiation - Unrecognized value?
>
>
>
> What is the proper response if you recognize a key, but are offered a
> value
> that you don't recognize?  For instance, what if MaxConnections=yes is
> offered?
>
> Where is that specified in the document?
>
> Marjorie Krueger
> Networked Storage Architecture
> Networked Storage Solutions Org.
> Hewlett-Packard
> tel: +1 916 785 2656
> fax: +1 916 785 0391
> email: [email-masked]
>
>
>